### OpenLiteSpeed Web Server Users' Manual

##### Version 1.5 — Rev. 9

- License
- Introduction
- Installation
- Administration
  - Service Manager
- Security
- Configuration
  - Server General
  - Server Log
  - Server Tuning
  - Server Security
  - External Apps
  - Fast CGI App
  - Fast CGI Authorizer
  - LSAPI App
  - Servlet Engine
  - Web Server
  - Piped logger
  - Load Balancer
  - Script Handler
  - App Server Settings
  - Module Configuration
  - Listener General
  - Listener SSL
  - Virtual Host Templates
  - Virtual Host Basic
  - Virtual Host General
  - Virtual Host Security
  - Virtual Host SSL
  - Rewrite
  - Context
  - Static Context
  - Java Web App Context
  - Servlet Context
  - Fast CGI Context
  - LSAPI Context
  - Proxy Context
  - CGI Context
  - Load Balancer Context
  - Redirect Context
  - App Server Context
  - Module Handler Context
  - Web Socket Proxy
- Web Console
  - Admin Console General
  - Admin Console Security
  - Admin Listener General
  - Admin Listener SSL

# Piped Logger

## Table of Contents

### Name⇑

#### Description

A unique name for this external application. You will refer to it by this name when you use it in other parts of the configuration.

### Address⇑

#### Description

A unique socket address used by the external application. IPv4/IPv6 sockets and Unix Domain Sockets (UDS) are supported. IPv4/IPv6 sockets can be used for communication over the network. UDS can only be used when the external application resides on the same machine as the server.

#### Syntax

IPv4 or IPV6 address:port or UDS://path

#### Example

127.0.0.1:5434
UDS://tmp/lshttpd/php.sock.

#### Tips

If the external application runs on the same machine, UDS is preferred. If you have to use an IPv4|IPV6 socket, set the IP address to localhost or 127.0.0.1, so the external application is inaccessible from other machines.
Unix Domain Sockets generally provide higher performance than IPv4 sockets.

### Max Connections⇑

#### Description

Specifies the maximum number of concurrent connections that can be established between the server and an external application. This setting controls how many requests can be processed concurrently by an external application, however, the real limit also depends on the external application itself. Setting this value higher will not help if the external application is not fast enough or cannot scale to a large number of concurrent requests.

#### Syntax

无符号整数

#### Tips

Setting a high value does not directly translate to higher performance. Setting the limit to a value that will not overload the external application will provide the best performance/throughput.

### Environment⇑

#### Description

Specifies extra environment variables for the external application.

#### Syntax

Key=value. Multiple variables can be separated by "ENTER"

### Command⇑

#### Description

Specifies the full command line including parameters to execute the external application. Required value if Start By Server is enabled. A parameter should be quoted with a double or single quote if the parameter contains space or tab characters.

#### Syntax

Full path to the executable with optional parameters.

#### See Also

Start By Server

### Instances⇑

#### Description

Specifies the maximum instances of the external application the server will create. It is required if Start By Server is enabled. Most FastCGI/LSAPI applications can only process one request per process instance and for those types of applications, instances should be set to match the value of Max Connections. Some FastCGI/LSAPI applications can spawn multiple child processes to handle multiple requests concurrently. For these types of applications, instances should be set to "1" and environment variables used to control how many child processes the application can spawn.

#### Syntax

无符号整数

### Run As User⇑

#### Description

The external application will run as this specified user name. If not set, Virtual Host level settings will be inherited.
Default value: Not Set

#### Syntax

Valid username.

#### See Also

extGroup

### Run As Group⇑

#### Description

The external application will run as this specified group name. If not set, Virtual Host level settings will be inherited.
Default value: Not Set

#### Syntax

Valid group name.

#### See Also

extUser

### umask⇑

#### Description

Sets default umask for this external application's processes. See man 2 umask for details. The default value taken from the server-level umask setting.

#### Syntax

value valid range [000]-[777].

#### See Also

CGI umask

### Priority⇑

#### Description

Specifies priority of the external application process. Value ranges from -20 to 20. A lower number means a higher priority. An external application process cannot have a higher priority than the web server. If this priority is set to a lower number than the server's, the server's priority will be used for this value.

#### Syntax

int

#### See Also

Server 优先级